package com.yunzhi.demo.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaPost;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.demo.vo.StatisPost;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 文章表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Mapper
public interface TaPostMapper extends BaseMapper<TaPost> {

    IPage<StatisPost> getPostStatis(IPage<StatisPost> pg,
                                    @Param("startDate") String startDate,
                                    @Param("endDate") String endDate,
                                    @Param("name") String name,
                                    @Param("typeId") String typeId,
                                    @Param("asc") String asc,
                                    @Param("desc") String desc);
}
