package com.yunzhi.demo.service.impl;

import com.yunzhi.demo.entity.SysConfig;
import com.yunzhi.demo.mapper.SysConfigMapper;
import com.yunzhi.demo.service.ISysConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 系统设定 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysConfigServiceImpl extends ServiceImpl<SysConfigMapper, SysConfig> implements ISysConfigService {

    @Autowired
    SysConfigMapper sysConfigMapper;

    @Override
    public String getValByCode(String code) {
        return sysConfigMapper.getValueOf(code);
    }
}
