package com.yunzhi.demo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.demo.entity.TaStudent;
import com.yunzhi.demo.vo.ExportStatisPerson;
import com.yunzhi.demo.vo.StatisPerson;

import java.util.List;

/**
 * <p>
 * 人员 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
public interface ITaStudentService extends IService<TaStudent> {
    int countStudent();

    IPage<StatisPerson> getStudentStatis(IPage<StatisPerson> pg, String name, String schoolId, String specialtyId, String asc, String desc);

    IPage<TaStudent> getStudentInfoPagedBy(IPage<TaStudent> pg, String name, String schoolId, String specialtyId, String phone, String studentNo);

    TaStudent getByStudentNo(String schoolId, String studentNo);

    TaStudent getByPersonId(String personId);

    TaStudent getByPhone(String phone);

    List<ExportStatisPerson> exportStudentStatis(String name, String schoolId, String specialtyId);
}
