package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.demo.entity.SysRoleMenu;
import com.yunzhi.demo.mapper.SysRoleMenuMapper;
import com.yunzhi.demo.service.ISysRoleMenuService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 角色菜单 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysRoleMenuServiceImpl extends ServiceImpl<SysRoleMenuMapper, SysRoleMenu> implements ISysRoleMenuService {

    @Override
    public boolean deleteByRole(Integer roleId) {
        QueryWrapper<SysRoleMenu> queryWrapper = new QueryWrapper<SysRoleMenu>()
                .eq("role_id", roleId);
        return remove(queryWrapper);
    }
}
