package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaMedicalLog;
import com.yunzhi.demo.entity.TaPerson;
import com.yunzhi.demo.mapper.TaMedicalLogMapper;
import com.yunzhi.demo.mapper.TaPersonMapper;
import com.yunzhi.demo.service.ITaMedicalLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 就诊记录 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaMedicalLogServiceImpl extends ServiceImpl<TaMedicalLogMapper, TaMedicalLog> implements ITaMedicalLogService {

    @Autowired
    TaMedicalLogMapper taMedicalLogMapper;

    @Override
    public IPage<TaMedicalLog> getMedicalLogPagedBy(IPage<TaMedicalLog> pg, String schoolId, String specialtyId, String studentNo) {
        return taMedicalLogMapper.getMedicalLogPagedBy(pg, schoolId, specialtyId, studentNo);
    }

    @Override
    public TaMedicalLog getProfileBy(Integer id) {
        return taMedicalLogMapper.getMedicalLogDetail(id);
    }
}