package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaTestLog;
import com.yunzhi.demo.mapper.TaTestLogMapper;
import com.yunzhi.demo.service.ITaTestLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.demo.vo.StudentTestLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 体检记录 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaTestLogServiceImpl extends ServiceImpl<TaTestLogMapper, TaTestLog> implements ITaTestLogService {

    @Autowired
    TaTestLogMapper taTestLogMapper;

    @Override
    public IPage<StudentTestLog> queryWithStudent(IPage<StudentTestLog> pg, String schoolId, String specialtyId, String studentNo) {
        return taTestLogMapper.getTestLogWithStudent(pg, schoolId, specialtyId, studentNo);
    }
}
