package com.yunzhi.demo.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yunzhi.demo.entity.TaStudent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "学生统计")
@Data
public class StatisPerson extends TaStudent {

    @ApiModelProperty(value = "积分")
    @ExcelProperty(value = "积分", index = 5)
    private Integer pointNum;

    @ApiModelProperty(value = "学分")
    @ExcelProperty(value = "学分", index = 6)
    private String creditNum;

    @ApiModelProperty(value = "收藏文章")
    @ExcelProperty(value = "收藏文章", index = 3)
    private Integer savedNum;

    @ApiModelProperty(value = "阅读文章")
    @ExcelProperty(value = "阅读文章", index = 4)
    private Integer readedNum;
}
